petsc-3.10.5 2019-03-28
Report Typos and Errors

# DMDACreatePF

Creates an appropriately dimensioned PF mathematical function object from a DMDA.

### Synopsis

    #include "petscdmda.h"
    PetscErrorCode  DMDACreatePF(DM da,PF *pf)

Collective on DMDA

### Input Parameter

da -initial distributed array

### Output Parameter

pf -the mathematical function object

Not supported from Fortran

### Keywords

distributed array, grid function

### See Also

DMDACreate1d(), DMDACreate2d(), DMDACreate3d(), DMDestroy(), DMCreateGlobalVector()

### Level

advanced

### Location

src/dm/impls/da/dapf.c

### Examples

src/dm/examples/tutorials/ex4.c.html
Index of all DMDA routines
Table of Contents for all manual pages
Index of all manual pages